Subject: [MBONED] ALTA code

From: Kyle Rose <[email-masked]>
Date: Tue, 30 Jul 2019 21:36:17 -0400

As promised at the mic, the reference implementation has now been open
sourced. It is available at:

https://github.com/squarooticus/alta

I still have a few todos, including adding docstrings and support for index
rollover, but it is suitable for testing. Get started by running/looking at
demo_stream.py, which implements a synthetic producer/consumer of model
payloads, which include indices in the authentication tag, explicit offsets
for packet hashes, truncated (8-byte) SHA-256 hashes, and Ed25519
signatures.

Kyle